
QGIS Application - Bug report #17839

Current master crashes on exit

2018-01-11 04:08 PM - Fredrik Lindberg

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: Yes

Operating System: W7 enterprice SP1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25733

Description

User Feedback

Changed language from Swedish to Englich then closed QGIS by x in upper right corner.

Report Details

Crash ID: 40253fa62ffeee70da8ba78ea11964b874a44494

Stack Trace

QMetaObject::cast :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QMetaObject::activate :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgisApp::saveAsLayerDefinition :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:fa2aff18e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601
Associated revisions

Revision 074db04f - 2018-01-12 09:44 AM - Matthias Kuhn 

Merge pull request #6040 from signedav/crashfix

mapLayerActions as members - avoiding crash on closing QGIS

Fix #17839

History

#1 - 2018-01-11 05:27 PM - Fredrik Lindberg

User Feedback

edit: It seems to crash every time that QGIS is closed.

Report Details

Crash ID: 40253fa62ffeee70da8ba78ea11964b874a44494

Stack Trace

QMetaObject::cast :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QMetaObject::activate :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgisApp::saveAsLayerDefinition :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:fa2aff18e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#2 - 2018-01-12 06:20 AM - Nyall Dawson

- Subject changed from QGIS3 crash when chaning language to Current master crashes on exit
Relevant PR: https://github.com/qgis/QGIS/pull/6040

#3 - 2018-01-12 09:44 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|074db04f27d31aaea4c4e96f9751e9aac98bcd18.

#4 - 2018-02-21 09:52 PM - Giovanni Manghi

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/6040

